net.corda.node.utilities.registration

## Interface NetworkRegistrationService

- All Known Implementing Classes:
    HTTPNetworkRegistrationService

      public NetworkRegistrationService

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.security.cert.Certificate[]` | `retrieveCertificates(java.lang.String requestId)` Poll Certificate Signing Server for the request and returns a chain of certificates if request has been approved, null otherwise.
    `java.lang.String` | `submitRequest(org.bouncycastle.pkcs.PKCS10CertificationRequest request)` Submits a CSR to the signing service and returns an opaque request ID.

- - ### Method Detail

    - #### submitRequest

          java.lang.String submitRequest(org.bouncycastle.pkcs.PKCS10CertificationRequest request)

      Submits a CSR to the signing service and returns an opaque request ID.

    - #### retrieveCertificates

          java.security.cert.Certificate[] retrieveCertificates(java.lang.String requestId)

      Poll Certificate Signing Server for the request and returns a chain of certificates if request has been approved, null otherwise.